Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.hub.service
Interface IntraHubTransactionService

All Known Implementing Classes:
  IntraHubTransactionServiceImpl

    public interface IntraHubTransactionService

Interface for Transactions specific intrahub services Contains basic requests for this kind of services Default impl : `IntraHubTransactionServiceImpl`

Method Summary
`List<IDKMEHR>` | `declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)` Declare transaction.
`Kmehrmessage` | `getTransaction(PatientIdType patient, TransactionBaseType transaction)` Gets the transaction.
`KmehrHeaderGetTransactionList` | `getTransactionList(PatientIdType patient, LocalSearchType searchType, TransactionWithPeriodType transaction)` Gets the transaction list.
`void` | `putTransaction(Kmehrmessage kmehrHeader)` Put transaction.
`void` | `requestPublication(PatientIdType patient, TransactionWithPeriodType transaction, String comment)` Request publication.
`void` | `revokeTransaction(PatientIdType patient, TransactionIdType transaction)` Revoke transaction.

Method Detail

### declareTransaction

    List<IDKMEHR> declareTransaction(KmehrHeaderDeclareTransaction kmehrHeader)
                                     throws TechnicalConnectorException,
                                            IntraHubBusinessConnectorException

  Declare transaction.

  Parameters:
    `kmehrHeader` - the kmehr header
  Returns:
    the collection
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### putTransaction

    void putTransaction(Kmehrmessage kmehrHeader)
                        throws TechnicalConnectorException,
                               IntraHubBusinessConnectorException

  Put transaction.

  Parameters:
    `kmehrHeader` - the kmehr header
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### revokeTransaction

    void revokeTransaction(PatientIdType patient,
                           TransactionIdType transaction)
                           throws TechnicalConnectorException,
                                  IntraHubBusinessConnectorException

  Revoke transaction.

  Parameters:
    `patient` - the patient
    `transaction` - the transaction
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getTransactionList

    KmehrHeaderGetTransactionList getTransactionList(PatientIdType patient,
                                                     LocalSearchType searchType,
                                                     TransactionWithPeriodType transaction)
                                                     throws TechnicalConnectorException,
                                                            IntraHubBusinessConnectorException

  Gets the transaction list.

  Parameters:
    `patient` - the patient
    `searchType` - the search type
    `transaction` - the transaction
  Returns:
    the transaction list
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### getTransaction

    Kmehrmessage getTransaction(PatientIdType patient,
                                TransactionBaseType transaction)
                                throws TechnicalConnectorException,
                                       IntraHubBusinessConnectorException

  Gets the transaction.

  Parameters:
    `patient` - the patient
    `transaction` - the transaction
  Returns:
    the transaction
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

### requestPublication

    void requestPublication(PatientIdType patient,
                            TransactionWithPeriodType transaction,
                            String comment)
                            throws TechnicalConnectorException,
                                   IntraHubBusinessConnectorException

  Request publication.

  Parameters:
    `patient` - the patient
    `transaction` - the transaction
    `comment` - the comment
  Throws:
    `TechnicalConnectorException` - the technical connector exception
    `IntraHubBusinessConnectorException` - the business connector exception
    `BusinessConnectorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.25.0 API
Copyright © {inceptionYear}-2023 eHealth. All Rights Reserved.